## com.google.javascript.jscomp
Class Instrumentation

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  com.google.javascript.jscomp.Instrumentation

All Implemented Interfaces:
  InstrumentationOrBuilder, com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable

    public final class Instrumentation

extends com.google.protobuf.GeneratedMessage
implements InstrumentationOrBuilder

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Instrumentation.Builder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `APP_NAME_SETTER_FIELD_NUMBER`
`static int` | `DECLARATION_TO_REMOVE_FIELD_NUMBER`
`static int` | `INIT_FIELD_NUMBER`
`static int` | `REPORT_CALL_FIELD_NUMBER`
`static int` | `REPORT_DEFINED_FIELD_NUMBER`
`static int` | `REPORT_EXIT_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`String` | `getAppNameSetter()`
`String` | `getDeclarationToRemove(int index)`
`int` | `getDeclarationToRemoveCount()`
`List<String>` | `getDeclarationToRemoveList()`
`static Instrumentation` | `getDefaultInstance()`
`Instrumentation` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`String` | `getInit(int index)`
`int` | `getInitCount()`
`List<String>` | `getInitList()`
`String` | `getReportCall()`
`String` | `getReportDefined()`
`String` | `getReportExit()`
`int` | `getSerializedSize()`
`boolean` | `hasAppNameSetter()`
`boolean` | `hasReportCall()`
`boolean` | `hasReportDefined()`
`boolean` | `hasReportExit()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static Instrumentation.Builder` | `newBuilder()`
`static Instrumentation.Builder` | `newBuilder(Instrumentation prototype)`
`Instrumentation.Builder` | `newBuilderForType()`
`protected Instrumentation.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static Instrumentation` | `parseDelimitedFrom(InputStream input)`
`static Instrumentation` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation` | `parseFrom(byte[] data)`
`static Instrumentation` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation` | `parseFrom(com.google.protobuf.ByteString data)`
`static Instrumentation` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Instrumentation` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation` | `parseFrom(InputStream input)`
`static Instrumentation` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Instrumentation.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### REPORT_DEFINED_FIELD_NUMBER

    public static final int REPORT_DEFINED_FIELD_NUMBER

See Also:
  Constant Field Values

### REPORT_CALL_FIELD_NUMBER

    public static final int REPORT_CALL_FIELD_NUMBER

See Also:
  Constant Field Values

### REPORT_EXIT_FIELD_NUMBER

    public static final int REPORT_EXIT_FIELD_NUMBER

See Also:
  Constant Field Values

### DECLARATION_TO_REMOVE_FIELD_NUMBER

    public static final int DECLARATION_TO_REMOVE_FIELD_NUMBER

See Also:
  Constant Field Values

### INIT_FIELD_NUMBER

    public static final int INIT_FIELD_NUMBER

See Also:
  Constant Field Values

### APP_NAME_SETTER_FIELD_NUMBER

    public static final int APP_NAME_SETTER_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static Instrumentation getDefaultInstance()

### getDefaultInstanceForType

    public Instrumentation getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### hasReportDefined

    public boolean hasReportDefined()

  Specified by:
    `hasReportDefined` in interface `InstrumentationOrBuilder`

### getReportDefined

    public String getReportDefined()

  Specified by:
    `getReportDefined` in interface `InstrumentationOrBuilder`

### hasReportCall

    public boolean hasReportCall()

  Specified by:
    `hasReportCall` in interface `InstrumentationOrBuilder`

### getReportCall

    public String getReportCall()

  Specified by:
    `getReportCall` in interface `InstrumentationOrBuilder`

### hasReportExit

    public boolean hasReportExit()

  Specified by:
    `hasReportExit` in interface `InstrumentationOrBuilder`

### getReportExit

    public String getReportExit()

  Specified by:
    `getReportExit` in interface `InstrumentationOrBuilder`

### getDeclarationToRemoveList

    public List<String> getDeclarationToRemoveList()

  Specified by:
    `getDeclarationToRemoveList` in interface `InstrumentationOrBuilder`

### getDeclarationToRemoveCount

    public int getDeclarationToRemoveCount()

  Specified by:
    `getDeclarationToRemoveCount` in interface `InstrumentationOrBuilder`

### getDeclarationToRemove

    public String getDeclarationToRemove(int index)

  Specified by:
    `getDeclarationToRemove` in interface `InstrumentationOrBuilder`

### getInitList

    public List<String> getInitList()

  Specified by:
    `getInitList` in interface `InstrumentationOrBuilder`

### getInitCount

    public int getInitCount()

  Specified by:
    `getInitCount` in interface `InstrumentationOrBuilder`

### getInit

    public String getInit(int index)

  Specified by:
    `getInit` in interface `InstrumentationOrBuilder`

### hasAppNameSetter

    public boolean hasAppNameSetter()

  Specified by:
    `hasAppNameSetter` in interface `InstrumentationOrBuilder`

### getAppNameSetter

    public String getAppNameSetter()

  Specified by:
    `getAppNameSetter` in interface `InstrumentationOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static Instrumentation parseFrom(com.google.protobuf.ByteString data)
                                     throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Instrumentation parseFrom(com.google.protobuf.ByteString data,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Instrumentation parseFrom(byte[] data)
                                     throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Instrumentation parseFrom(byte[] data,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Instrumentation parseFrom(InputStream input)
                                     throws IOException

  Throws:
    `IOException`

### parseFrom

    public static Instrumentation parseFrom(InputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static Instrumentation parseDelimitedFrom(InputStream input)
                                              throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static Instrumentation parseDelimitedFrom(InputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws IOException

  Throws:
    `IOException`

### parseFrom

    public static Instrumentation parseFrom(com.google.protobuf.CodedInputStream input)
                                     throws IOException

  Throws:
    `IOException`

### parseFrom

    public static Instrumentation parseFrom(com.google.protobuf.CodedInputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

  Throws:
    `IOException`

### newBuilder

    public static Instrumentation.Builder newBuilder()

### newBuilderForType

    public Instrumentation.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static Instrumentation.Builder newBuilder(Instrumentation prototype)

### toBuilder

    public Instrumentation.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected Instrumentation.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`